
# --------------------------------------
#   arm_sleeve
#   65f6972d600e4d9acanv
__canvas_id__ = '65f6972d600e4d9a'
# __version__ = TODO: add this
# --------------------------------------
from floe import FP

from Rainbow import Rainbow
from NeoPixel import NeoPixel
from I2C import I2C
from Variable import Variable
from DigitalOutput import DigitalOutput
from DigitalInput import DigitalInput
from AS5048BEncoder import AS5048BEncoder
from ColorChase import ColorChase
from HbtLed import HbtLed
from FileReceiver import FileReceiver
from ESP32Core import ESP32Core
from CANBus import CANBus
def setup(iris):
  AS5048BEncoder(name="phi_encoder", pid=62930, adr=64, invert=True, offset=0, ring_size=16, i2c=FP(3548), datatype="float32", debug=False, active=True, bcast=True, iris=iris)
  AS5048BEncoder(name="theta_encoder", pid=59289, adr=67, invert=True, offset=0, ring_size=16, i2c=FP(3548), datatype="float32", debug=False, active=True, bcast=True, iris=iris)
  CANBus(name="CANBus", pid=6545, rx=16, tx=4, adr=21, bus=0, baud=250000, rx_queue=25, terminal_debug=False, debug=False, active=True, bcast=False, iris=iris)
  ColorChase(name="color_chase", pid=9922, dot_color=None, fill_color=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  DigitalInput(name="button_a", pid=39254, pin=32, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="button_b", pid=16276, pin=33, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="function_button", pid=2276, pin=36, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalOutput(name="can_slp", pid=25716, pin=2, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  ESP32Core(name="ESP32Core", pid=6074, wifi=False, hbt_led=FP(55894), neo_status=FP(47403), function_button=FP(2276), bus=FP(6545), zorg=None, webserver=None, debug=False, active=True, bcast=False, iris=iris)
  FileReceiver(name="FileReceiver", pid=65000, debug=False, active=True, bcast=True, iris=iris)
  HbtLed(name="hbt_led", pid=55894, pin=5, delay=1000, datatype="int", debug=False, active=True, bcast=False, iris=iris)
  I2C(name="I2C", pid=3548, sda=22, scl=23, bus=0, baud=400000, debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name="neo_status", pid=47403, pin=17, number_of_pixels=1, animation=0, delay=200, animations=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name="phi_ring", pid=45366, pin=21, number_of_pixels=12, animation=FP(37072), delay=FP(31246), animations=[FP(19236), FP(9922)], datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name="theta_ring", pid=1412, pin=13, number_of_pixels=12, animation=FP(37072), delay=FP(31246), animations=[FP(19236), FP(9922)], datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  Rainbow(name="rainbow", pid=19236, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  Variable(name="set name", pid=31246, state=100, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="set name", pid=37072, state=1, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  iris.add_hots({})

